/************************************************************************************
**    SIMphoto is an aplication based on single image photogrammetry. It is useful
**    for creating and printing a photomap. The software is designed for close
**    range photogrammtery. Outputs are usable in the field of heritage preservation.
**    Copyright (C) 2009 David Cizek
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**    How to contact me: cizekdav@gmail.com
**
***********************************************************************************/

#include "checkpointdialog.h"

CheckPointDialog::CheckPointDialog()
{
    QLabel *informationLabel = new QLabel(tr("Move the point in case its position on image is wrong."), this);
    focusedPointCoordLabel = new QLabel(this);
    focusedPointCoordLabel->setFont(QFont("Arial", 9, QFont::Bold));

    nextPointButton = new QPushButton(tr("Next Point"), this);

    QGridLayout *layout = new QGridLayout;

    layout->addWidget(informationLabel, 0, 0);
    layout->addWidget(focusedPointCoordLabel, 1, 0);
    layout->addWidget(nextPointButton, 2, 0);

    setLayout(layout);
    adjustSize();
    setMaximumSize(this->size());
}

QLabel* CheckPointDialog::getFocusedPointCoordLabel()
{
    return focusedPointCoordLabel;
}

QPushButton* CheckPointDialog::getNextPointButton()
{
    return nextPointButton;
}

