/************************************************************************************
**    SIMphoto is an aplication based on single image photogrammetry. It is useful
**    for creating and printing a photomap. The software is designed for close
**    range photogrammtery. Outputs are usable in the field of heritage preservation.
**    Copyright (C) 2009 David Cizek
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**    How to contact me: cizekdav@gmail.com
**
***********************************************************************************/

#ifndef DISTMETHODDIALOG_H
#define DISTMETHODDIALOG_H

#include <QtGui>

class DistMethodDialog : public QDialog
{
    Q_OBJECT

public slots:
    void changeImage();

public:
    DistMethodDialog(QWidget *parent = 0);
    QPushButton* getOkButton();
    int getMethod();

private:
    QRadioButton *oneMeasuredDist;
    QRadioButton *twoMeasuredDist;

    QLabel *distanceImageLabel;

    QPushButton *okButton;

    int method;
};

#endif // DISTMETHODDIALOG_H
