/************************************************************************************
**    SIMphoto is an aplication based on single image photogrammetry. It is useful
**    for creating and printing a photomap. The software is designed for close
**    range photogrammtery. Outputs are usable in the field of heritage preservation.
**    Copyright (C) 2009 David Cizek
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**    How to contact me: cizekdav@gmail.com
**
***********************************************************************************/

#include "pixelsizedialog.h"

PixelSizeDialog::PixelSizeDialog(QWidget *parent)
    : QDialog(parent)
{
    pixelSizeBox = new QDoubleSpinBox(this);
    QLabel *pixelLabel = new QLabel(tr("1 pixel ="), this);
    QLabel *meterLabel = new QLabel(tr("[m]"), this);
    okButton = new QPushButton(tr("OK"), this);
    QGridLayout *gridLayout = new QGridLayout;

    okButton->setFont(QFont("Arial", 10, QFont::Bold));
    pixelLabel->setFont(QFont("Arial", 10, QFont::Bold));
    meterLabel->setFont(QFont("Arial", 10, QFont::Bold));
    pixelSizeBox->setFont(QFont("Arial", 10, QFont::Bold));

    gridLayout->addWidget(pixelLabel, 0 , 0);
    gridLayout->addWidget(pixelSizeBox,0 , 1);
    gridLayout->addWidget(meterLabel, 0 , 2);
    gridLayout->addWidget(okButton,1 , 1);

    pixelSizeBox->setDecimals(4);
    pixelSizeBox->setRange(0.0, 100.0);

    Qt::WindowFlags flags;
    flags = Qt::Dialog;
    flags |= Qt::WindowCloseButtonHint;

    setWindowFlags(flags);
    setLayout(gridLayout);
    setWindowTitle(tr("Pixel Size Setting"));
    setModal(true);
}

QPushButton* PixelSizeDialog::getOkButton()
{
    return okButton;
}

QDoubleSpinBox* PixelSizeDialog::getPixelSizeBox()
{
    return pixelSizeBox;
}
